List leads
curl --request GET \
--url https://app.forecastable.com/api/v1/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.forecastable.com/api/v1/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.forecastable.com/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"description": "<string>",
"leadSource": "<string>",
"leadSourceDetail": "<string>",
"leadStatus": "<string>",
"ageDays": 1,
"createdDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partnerAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sfdcId": "<string>",
"salesforceUrl": "<string>",
"fullName": "<string>",
"email": "jsmith@example.com",
"title": "<string>",
"phone": "<string>",
"referringPartnerContact": "<string>",
"referringPartnerContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sfOwner": "<string>",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"history": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changeType": "<string>",
"changedAt": "2023-11-07T05:31:56Z",
"changedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beforeData": {},
"afterData": {}
}
]
}
],
"counts": {
"open": 1,
"all": 1,
"qualified": 1,
"unqualified": 1
},
"pagination": {
"hasNextPage": true,
"totalCount": 1,
"nextCursor": "<string>",
"page": 2,
"pageSize": 2,
"totalPages": 2
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Leads
List leads
List leads for the active organization.
GET
/
leads
List leads
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
FlowAuthorization Code
- Authorization URL
- /api/v1/oauth/authorize
- Token URL
- /api/v1/oauth/token
FlowClient Credentials
- Token URL
- /api/v1/oauth/token
Scopes1
leads:read
List and read leads.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Required range:
1 <= x <= 200Required range:
x >= 1Required range:
1 <= x <= 200Available options:
asc, desc Available options:
OPEN, ALL, QUALIFIED, UNQUALIFIED Was this page helpful?